TAG_ORB_TYPE (Java Platform SE 8 )
Keywords: org.omg.IOP.TAG_ORB_TYPE interface
Date: 2016-12-09

org.omg.IOP

## Interface TAG_ORB_TYPE

-     public interface TAG_ORB_TYPE

  org/omg/IOP/TAG_ORB_TYPE.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/java8-openjdk-aarch64/src/jdk8u-aarch64-jdk8u111-b17/corba/src/share/classes/org/omg/PortableInterceptor/IOP.idl Friday, December 9, 2016 6:59:52 PM MST

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `value` It is often useful in the real world to be able to identify the particular kind of ORB an object reference is coming from, to work around problems with that particular ORB, or exploit shared efficiencies.

- - ### Field Detail

    - #### value

          static final int value

      It is often useful in the real world to be able to identify the particular kind of ORB an object reference is coming from, to work around problems with that particular ORB, or exploit shared efficiencies.

      The `TAG_ORB_TYPE` component has an associated value of type unsigned long (Java long), encoded as a CDR encapsulation, designating an ORB type ID allocated by the OMG for the ORB type of the originating ORB. Anyone may register any ORB types by submitting a short (one-paragraph) description of the ORB type to the OMG, and will receive a new ORB type ID in return. A list of ORB type descriptions and values will be made available on the OMG web server.

      The `TAG_ORB_TYPE` component can appear at most once in any IOR profile. For profiles supporting IIOP 1.1 or greater, it is optionally present.

      See Also:
        Constant Field Values

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.